{% extends 'base.html' %}

{% block contenido %}
  <div class="container">   
    <br>
    <center>
      <h3>
        Ventas
      </h3>
    </center>
    <br>
    <div class="row">

      <table class="highlight">
        <thead>
          <tr>
              <th>Usuario</th>
              <th>Producto</th>
              <th>Dirección de envio</th>
              <th>Fecha</th>
              <th>Id</th>
              <th style="text-align: center;">Precio</th>
              <th style="text-align: center;">Cantidad</th>
              <th style="text-align: center;">Total</th>
          </tr>
        </thead>
  
        <tbody>
        {% for carrito in object_list %}
            <tr>
                <td>{{carrito.usuario.username}}</td>
                <td>{{carrito.producto.nombreProducto}}</td>
                <td>{{carrito.direccion}}</td>
                <td>{{carrito.actualizado}}</td>
                <td>{{carrito.identificador}}</td>
                <td style="text-align: left;">$ {{carrito.precio|stringformat:".2f"}}</td>
                <td style="text-align: center;">{{carrito.cantidad}}</td>
                <td style="text-align: left;">$ {{carrito.total|stringformat:".2f"}}</td>
            </tr>
        {% empty %}
            <tr>
                <td>No hay ventas.</td>
            </tr>
        {% endfor %}
        </tbody>
      </table>
      
    </div>
    
    <br>
    <div class="row">

      {% if is_paginated %}
        <center>
          <ul class="pagination">
            {% if page_obj.has_previous %}
            <li class=""><a href="?page={{ page_obj.previous_page_number }}"><i class="material-icons">chevron_left</i></a></li>
            {% else %}
            <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
            {% endif %}
  
            {% for page in paginator.page_range %}
            <li class="waves-effect {% if page == page_obj.number %}active light-blue darken-1{% endif %}"><a href="?page={{ page }}">{{ page }}</a></li>
            {% endfor %}
  
            {% if page_obj.has_next %}
            <li class="waves-effect"><a href="?page={{ page_obj.next_page_number }}"><i class="material-icons">chevron_right</i></a></li>
            {% else %}
            <li class="waves-effect disabled"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
            {% endif %}
  
          </ul>
        </center>
      {% endif %}
  
    </div>
  </div>

{% endblock contenido %}